=== debian/changelog ===
pqconnect (1.2.1-5) unstable; urgency=medium

  * pqconnect-server-keyserver update test:
    - test the keyserver by downloading the entire public-key and compare it
      with the content on the filesystem
    - add isolation-machine, allow-stderr, skippable
    - load `tun` kernel module, the test needs `/dev/net/tun`
    - re-enable test in salsa-ci.yml, anyway, the test is still skipped thanks
      to the "isolation machine"

 -- Jan Mojžíš <janmojzis@debian.org>  Sat, 22 Mar 2025 11:20:37 +0100

pqconnect (1.2.1-4) unstable; urgency=medium

  * d/control: add exact dependency (= ${binary:Version}) between packages
    python3-pqconnect / pqconnect / pqconnect-server
  * d/p/0005-handle-unpack-exception-in-keyserver.patch add, handle 'Unpack
    Exception' in keyserver
  * d/t/pqconnect-server-keyserver add
  * d/salsa-ci.yml: disable pqconnect-server-keyserver autopkgtest

 -- Jan Mojžíš <janmojzis@debian.org>  Sat, 22 Mar 2025 00:42:11 +0100

pqconnect (1.2.1-3) unstable; urgency=medium

  * d/pqconnect-server.postinst: generate initial server config
    and generate server keys
  * d/pqconnect-server.postrm: when purging a package, remove the
    /etc/pqconnect directory along with the configuration and encryption keys
  * d/pqconnect-server.service: use server options pqcport, keyport, host
    from configuration directory /etc/pqconnect/config
  * d/python3-pqconnect.triggers: add 'activate-await ldconfig' to refresh
    ldconfig cache. This ensures that the ldconfig cache used by
    ctypes.util.find_library() is updated before pqconnect start.

 -- Jan Mojžíš <janmojzis@debian.org>  Sun, 02 Mar 2025 21:58:12 +0100

pqconnect (1.2.1-2) unstable; urgency=medium

  [ Jan Mojžíš ]
  * d/salsa-ci.yml re-enable i386
  * d/p/debian/patches/0004-test-test_server.py-fix-alarms.patch add

 -- Simon Josefsson <simon@josefsson.org>  Tue, 11 Feb 2025 19:17:03 +0100

pqconnect (1.2.1-1) unstable; urgency=medium

  * Initial release. (Closes: #1091490)

 -- Simon Josefsson <simon@josefsson.org>  Fri, 27 Dec 2024 18:41:20 +0100
