=== debian/control ===
Source: pqconnect
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Simon Josefsson <simon@josefsson.org>,
 Jan Mojžíš <janmojzis@debian.org>,
Priority: optional
Standards-Version: 4.7.0
Section: python
Homepage: https://www.pqconnect.net/
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 flit,
 help2man <!nodoc>,
 lib25519-1,
 libmceliece1,
 pybuild-plugin-pyproject,
 python3-all,
 python3-click,
 python3-dnspython,
 python3-lib25519,
 python3-mceliece,
 python3-netfilterqueue,
 python3-nftables,
 python3-ntruprime,
 python3-pyroute2,
 python3-pysodium,
 python3-pytest <!nocheck>,
 python3-scapy,
 python3-securestring,
 python3-setuptools,
Vcs-Git: https://salsa.debian.org/python-team/packages/pqconnect.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/pqconnect
Rules-Requires-Root: no

Package: python3-pqconnect
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: Post-Quantum Internet security layer (Python library)
 PQConnect is a new easy-to-install layer of Internet security.
 PQConnect lets you take action right now on your computer to address
 the threat of quantum attacks, without waiting for upgrades in the
 applications that you are using.
 .
 PQConnect automatically applies post-quantum cryptography from end to
 end between computers running PQConnect.  PQConnect adds
 cryptographic protection to unencrypted applications, works in
 concert with existing pre-quantum applications to add post-quantum
 protection, and adds a second application-independent layer of
 defense to any applications that have begun to incorporate
 application-specific post-quantum protection.
 .
 This package contains the Python library.

Package: pqconnect
Section: net
Architecture: all
Depends:
 adduser,
 python3-pqconnect (= ${binary:Version}),
 ${misc:Depends},
 ${python3:Depends},
Description: Post-Quantum Internet security layer (command-line tool)
 PQConnect is a new easy-to-install layer of Internet security.
 PQConnect lets you take action right now on your computer to address
 the threat of quantum attacks, without waiting for upgrades in the
 applications that you are using.
 .
 PQConnect automatically applies post-quantum cryptography from end to
 end between computers running PQConnect.  PQConnect adds
 cryptographic protection to unencrypted applications, works in
 concert with existing pre-quantum applications to add post-quantum
 protection, and adds a second application-independent layer of
 defense to any applications that have begun to incorporate
 application-specific post-quantum protection.
 .
 This package contains the command-line tools.

Package: pqconnect-server
Section: net
Architecture: all
Depends:
 pqconnect (= ${binary:Version}),
 ${misc:Depends},
 ${python3:Depends},
Description: Post-Quantum Internet security layer (server service)
 PQConnect is a new easy-to-install layer of Internet security.
 PQConnect lets you take action right now on your computer to address
 the threat of quantum attacks, without waiting for upgrades in the
 applications that you are using.
 .
 PQConnect automatically applies post-quantum cryptography from end to
 end between computers running PQConnect.  PQConnect adds
 cryptographic protection to unencrypted applications, works in
 concert with existing pre-quantum applications to add post-quantum
 protection, and adds a second application-independent layer of
 defense to any applications that have begun to incorporate
 application-specific post-quantum protection.
 .
 This package contains the server service.
