=== debian/tests/control ===
Tests:
 pqconnect-server-keyserver,
Depends:
 kmod,
 pqconnect-server,
 psmisc,
Restrictions:
 allow-stderr,
 isolation-machine,
 needs-root,
 skippable,
