=== debian/changelog ===
pqconnect (1.2.2-1) unstable; urgency=medium

  * New upstream version 1.2.2 (Closes: 1101037)
  * d/p: refresh patches and remove patches that are fixed upstream:
    - d/p/0005-handle-unpack-exception-in-keyserver.patch
    - d/p/0003-use-python-lib25519.patch
    - d/p/0004-test-test_server.py-fix-alarms.patch
  * d/rules: build doc for pqconnect-server-check and don't build for removed
    pqconnect-dns-query
  * d/control: bump Standards-Version: 4.7.2, no changes
  * d/gbp.conf: add dist = DEP14, add [pull] track-missing = True

 -- Jan Mojžíš <janmojzis@debian.org>  Thu, 27 Mar 2025 20:18:51 +0100

pqconnect (1.2.1-6) unstable; urgency=medium

  * d/t/client.sh add, new pqconnect client autopkgtest
  * d/t/keygen.sh add, new pqconnect-keygen autopkgtest
  * d/t/pqconnect-server-keyserver rename to d/t/server.sh and
    simplified functionality, only one test query is sent to the keyserver
    and only l0-hash is compared.

 -- Jan Mojžíš <janmojzis@debian.org>  Thu, 27 Mar 2025 11:38:18 +0100
