=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
  Simon Josefsson <simon@josefsson.org>,
  Jan Mojžíš <janmojzis@debian.org>,
 Priority: optional
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Section: python
 Homepage: https://www.pqconnect.net/
 Build-Depends:
