=== debian/rules ===
--- 
+++ 
@@ -13,7 +13,7 @@
 execute_after_dh_auto_install:
 ifeq (,$(filter nodoc,$(DEB_BUILD_PROFILES)))
 	mkdir -pv $(M)
-	for p in "" "-keygen" "-server" "-dns-query"; do \
+	for p in "" "-keygen" "-server" "-server-check"; do \
 		env PYTHONPATH=$(CURDIR)/src \
 		help2man --no-info --version-string="$(DEB_VERSION)" \
 			-Idebian/pqconnect$$p.h2m $(B)/pqconnect$$p \
