=== debian/tests/control ===
Tests:
 server.sh,
Depends:
 kmod,
 pqconnect-server,
 psmisc,
Restrictions:
 allow-stderr,
 isolation-machine,
 needs-root,
 skippable,

Tests:
 client.sh,
Depends:
 bind9-dnsutils,
 kmod,
 pqconnect,
 psmisc,
 python3-dnslib,
Restrictions:
 isolation-machine,
 needs-root,
 skippable,

Tests:
 keygen.sh,
Depends:
 pqconnect,
Restrictions:
 allow-stderr,
