=== debian/watch ===
version=4
opts="\
pagemangle=s|@ANY_VERSION@|<a href=https://www.pqconnect.net/pqconnect-$1.tar.gz>|\
" \
https://www.pqconnect.net/pqconnect-latest-version.txt \
https://www.pqconnect.net/pqconnect-@ANY_VERSION@.tar.gz
