## pqconnect 1.2.3

=== debian/changelog ===
pqconnect (1.2.3-1) unstable; urgency=medium

  * New upstream version 1.2.3
  * d/watch: rewrite to version 5
  * d/salsa-ci.yml: use SALSA_CI_ENABLE_LICENSERECON: 1
  * d/control: remove Rules-Requires-Root: no

 -- Jan Mojžíš <janmojzis@debian.org>  Sat, 03 Jan 2026 23:14:15 +0100
