=== debian/control ===
--- 
+++ 
@@ -31,7 +31,6 @@
  python3-setuptools,
 Vcs-Git: https://salsa.debian.org/python-team/packages/pqconnect.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/pqconnect
-Rules-Requires-Root: no
 
 Package: python3-pqconnect
 Architecture: all
