=== debian/watch ===
Version: 5
Source: https://www.pqconnect.net/pqconnect-latest-version.txt
Page-Mangle: s|@ANY_VERSION@|<a href=https://www.pqconnect.net/pqconnect-$1.tar.gz>|
Matching-Pattern: https://www.pqconnect.net/pqconnect-@ANY_VERSION@.tar.gz
